Subject: Re: Code

From: "The Horror, The Horror" <[email-masked]>
Date: Mon, 5 Apr 1993 11:55:16 -0700

Has anyone written a basic combat system, or a RPG system? If so, and
	it's not too much code, could you post or email the code? I'm pulling
	out my hair trying to figure this out!!!
	
	Thanks!

I implemented a sort of combat system without the RPG. 
It basically consisted of adding a vitality property 
to the player object, as well as a die verb.

It was then easy to create weapons which tweeked the
vitality, after which it was checked, if <= 0 then
call the player:die(), armor is also easy to implement.

I'm not all that much into the combat or RPG aspects of
MUDding, but quite a few of our users are and requested
mechanisms for wreaking havoc upon others. I suppose the
next step will be implementing "sanctuary", or robo cops,
or whatever. (sigh)

The point being that it isn't difficult to implement with
a little bit of coding.

ccn